/*****************************************************************************
* Copyright (c) Future Technology Devices International 2014
* propriety of Future Technology devices International.
*
* Software License Agreement
*
* This code is provided as an example only and is not guaranteed by FTDI. 
* FTDI accept no responsibility for any issues resulting from its use. 
* The developer of the final application incorporating any parts of this 
* sample project is responsible for ensuring its safe and correct operation 
* and for any consequences resulting from its use.
*****************************************************************************/
/**
* @file                           FT_VI800A_RELAY.h
* @brief                          Contains arduino specific macros for VI800A_RELAY platform.
								  Tested platform version: Arduino 1.0.5
* @version                        0.1.0
* @date                           2014/06/03
*
*/
#ifndef _FT_VI800A_RELAY_H_
#define _FT_VI800A_RELAY_H_

/* This platform contains SC16IS760IBS hardware, gpio */

/* Platform specific includes */
#if defined(__AVR__)
	#if defined(ARDUINO) && ARDUINO >= 100
		#include "Arduino.h"
	#else
		#include "WProgram.h"
	#endif

#else
	//#include "WProgram.h"
#endif

/* Standard library includes */
#include "stdint.h"
#include "avr/pgmspace.h"
/* Driver related includes */
#include "SPI.h"

// Arduino SPI pin for addon module
#define  FT_RELAY_CS  SS

/* Library specific includes */
#include "libraries/FT_Transport/FT_VI800A_RELAY.h"

#endif /* _FT_VI800A_RELAY_H_ */